PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

List pipelines

GET
/pipelines

Authorization

x-api-key<token>

In: header

Response Body

application/json

curl -X GET "https://example.com/pipelines"
{  "data": [    {      "id": "string",      "workspaceId": "string",      "name": "string",      "stages": [        {          "id": "string",          "pipelineId": "string",          "name": "string",          "color": "string",          "type": "OPEN",          "isNurture": true,          "rank": "string"        }      ]    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

Delete a form submission DELETE

Stored answers are removed. The contact and opportunity stay.

Create a pipeline POST

Next Page